Name:           xosview
Version:        1.19
Release:        %mkrel 1
Summary:        An X Window System utility for monitoring system resources
Group:          Monitoring
License:        GPLv2 and BSD with advertising and (GPLv2 or BSD with advertising)
URL:            http://www.pogo.org.uk/~mark/xosview/
Source0:        http://www.pogo.org.uk/~mark/xosview/releases/%{name}-%{version}.tar.gz
Source2:        %{name}16.png.bz2
Source3:        %{name}32.png.bz2
Source4:        %{name}48.png.bz2
BuildRequires:  libx11-devel
BuildRequires:  libxpm-devel

%description
The xosview utility displays a set of bar graphs which show the current
system state, including memory usage, CPU usage, system load, etc.
Xosview runs under the X Window System.

Install the xosview package if you need a graphical tool for monitoring
your system's performance.

%prep
%setup -q

%build
%make_build LDFLAGS="%{ldflags}" OPTFLAGS="%{optflags}"

%install
%make_install PREFIX=%{_prefix}

install -m 755 -d %{buildroot}%{_datadir}/icons/mini
bzcat %SOURCE2 > %{buildroot}%{_datadir}/icons/mini/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons
bzcat %SOURCE3 > %{buildroot}%{_datadir}/icons/%{name}.png
install -m 755 -d %{buildroot}%{_datadir}/icons/large
bzcat %SOURCE4 > %{buildroot}%{_datadir}/icons/large/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Xosview
Comment=System resources monitor for X11
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
Keywords=System;Utility;System Monitor;
EOF

%files
%doc README README.linux TODO Xdefaults
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/*
%{_datadir}/icons/large/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Feb 04 2017 daviddavid <daviddavid> 1.19-1.mga6
+ Revision: 1084804
- new version: 1.19

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Dec 05 2015 daviddavid <daviddavid> 1.17-1.mga6
+ Revision: 908377
- new version: 1.17
- add docs

* Wed Oct 15 2014 umeabot <umeabot> 1.16-3.mga5
+ Revision: 744951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 690741
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 1.16-1.mga5
+ Revision: 592061
- new version 1.16

* Sat Oct 19 2013 umeabot <umeabot> 1.14-3.mga4
+ Revision: 527778
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 fwang <fwang> 1.14-2.mga4
+ Revision: 442388
- tighten br

* Thu Jun 13 2013 fwang <fwang> 1.14-1.mga4
+ Revision: 442383
- new version 1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.12-2.mga3
+ Revision: 387286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 kamil <kamil> 1.12-1.mga3
+ Revision: 331815
- new version 1.12

* Sun Dec 02 2012 kamil <kamil> 1.11-2.mga3
+ Revision: 324899
- rebuild for Mga3 Beta1

* Tue Nov 27 2012 kamil <kamil> 1.11-1.mga3
+ Revision: 322254
- new version 1.11

* Tue Aug 28 2012 kamil <kamil> 1.9.4-1.mga3
+ Revision: 284633
- new version 1.9.4

* Wed May 30 2012 kamil <kamil> 1.9.3-1.mga3
+ Revision: 251776
- new version 1.9.3
- new SOURCE0
- new build procedure (upstream change)
- drop "chmod u-s" for binaries
- stop installing /usr/lib/X11/app-defaults directory (it's empty anyway)

* Mon Feb 06 2012 kamil <kamil> 1.9.2-2.mga2
+ Revision: 205487
- bump release to be updateable from Mageia 1
- new version 1.9.2

* Sun Jan 22 2012 kamil <kamil> 1.9.1-1.mga2
+ Revision: 199486
- new version 1.9.1 from new vendor
- new URL and SOURCE
- fix license
- clean .spec
- imported package xosview

